Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.EnvelopeConfig

Enclosing interface:
  Configuration

    public static interface Configuration.EnvelopeConfig

Maps the Remote API message Envelope structure. Both message itself and e*Way configuration hold Envelope information, for dynamic settings, to avoid confusion, we only expose "setter" on message (Request/Response) node for dynamic change.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getApplicationId()` Gets the application ID.
`java.lang.String` | `getContextId()` Gets the Context ID.
`java.lang.String` | `getMsgFormat()` Gets the message format.
`java.lang.String` | `getSender()` Get sender.
`boolean` | `isMsgFormatBasicInterAct()` Specifies whether the message format is BasicInterAct.
`boolean` | `isMsgFormatCopySNL()` Specifies whether the message format is Copy SNL.
`boolean` | `isMsgFormatDEFAULT()` Specifies whether the message format is the default.
`boolean` | `isMsgFormatPrimitive()` Specifies whether the message format is Primitive.
`boolean` | `isMsgFormatRelaxedSNL()` Specifies whether the message format is relaxed SNL.
`boolean` | `isMsgFormatSNL()` Specifies whether the message format is the SNL.
`void` | `validate()` Validates the Envelope section.

Method Detail

### getApplicationId

    java.lang.String getApplicationId()

  Gets the application ID. Specifies the name of the SWIFT Alliance Gateway Message Partner.

  Parameters:
    None.

  Returns:
    `String` - Returns the application ID.
  Throws:
    None.

### getContextId

    java.lang.String getContextId()

  Gets the Context ID. Specifies the cryptographic mode for Relaxed SNL Protocol.

  Parameters:
    None.

  Returns:
    `String` - Returns the context ID.
  Throws:
    None.

### getMsgFormat

    java.lang.String getMsgFormat()

  Gets the message format. Specifies the format of the current message.

  Parameters:
    None.

  Returns:
    `String` - Returns the message format.
  Throws:
    None.

### getSender

    java.lang.String getSender()

  Get sender.

  Parameters:
    None.

  Returns:
    `String` - Returns the sender.
  Throws:
    None.

### isMsgFormatDEFAULT

    boolean isMsgFormatDEFAULT()

  Specifies whether the message format is the default.
  Parameters:
    None.

  Returns:
    `boolean` - Returns whether the message format is the default.

### isMsgFormatSNL

    boolean isMsgFormatSNL()

  Specifies whether the message format is the SNL.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether the message format is SNL.
  Throws:
    None.

### isMsgFormatRelaxedSNL

    boolean isMsgFormatRelaxedSNL()

  Specifies whether the message format is relaxed SNL.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether the message format is relaxed SNL.
  Throws:
    None.

### isMsgFormatCopySNL

    boolean isMsgFormatCopySNL()

  Specifies whether the message format is Copy SNL.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether the message format is Copy SNL.
  Throws:
    None.

### isMsgFormatBasicInterAct

    boolean isMsgFormatBasicInterAct()

  Specifies whether the message format is BasicInterAct.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether the message format is BasicInterAct.
  Throws:
    None.

### isMsgFormatPrimitive

    boolean isMsgFormatPrimitive()

  Specifies whether the message format is Primitive.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether the message format is Primitive.
  Throws:
    None.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the Envelope section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.